(function(){

  const {
    ClientAddonApi,
    addonEvent,
  } = window.top.HPM_CLI_UI

  const registI18nResource = (name) => {
    const clientAddonApi = new ClientAddonApi();
    const zh_CN = {
      configurator: '配置器'
    }
    const en = {
      configurator: 'configurator'
    }
    clientAddonApi.addLocalization('zh_CN', zh_CN, { pluginName: name });
    clientAddonApi.addLocalization('en', en, { pluginName: name });
  }
  
  addonEvent.subscribe('registered', name => {
    registI18nResource(name)
  })

})()

